﻿using System;
using Clio.Common;
using Clio.Utilities;
using ff14bot.Helpers;

namespace Heathcliff
{
    public static class Utilities
    {
        public static bool IsFacing(Vector3 characterLocation, float characterHeading, Vector3 location)
        {
            float d = Math.Abs(MathEx.NormalizeRadian(characterHeading
                - MathEx.NormalizeRadian(MathHelper.CalculateHeading(characterLocation, location)
                + (float)Math.PI)));

            if (d > Math.PI) d = Math.Abs(d - 2 * (float)Math.PI);
            return d < 0.87266f;
        }
    }
}
